# -*- coding: utf-8 -*-
# This file is part of the cashbook-module from m-ds for Tryton.
# The COPYRIGHT file at the top level of this repository contains the
# full copyright notices and license terms.

from trytond.pool import Pool
from .book import Book
from .types import Type
from .line import Line, LineContext
from .wizard_openline import OpenCashBook, OpenCashBookStart
from .configuration import Configuration, UserConfiguration
from .category import Category
from .reconciliation import Reconciliation
from .cbreport import CashbookReport

def register():
    Pool.register(
        Configuration,
        UserConfiguration,
        Type,
        Category,
        Book,
        LineContext,
        Line,
        Reconciliation,
        OpenCashBookStart,
        module='cashbook', type_='model')
    Pool.register(
        CashbookReport,
        module='cashbook', type_='report')
    Pool.register(
        OpenCashBook,
        module='cashbook', type_='wizard')
